Create Library button and corresponding panel
A new, empty for now, panel should be shown when the Bookmarks dropdown button is clicked.
Since the Bookmark Star button is now inside the location bar (see bug  the Bookmarks dropdown button is now a isolated, single button ready to be re-purposed.
